/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


var routes = [
    {
        path: '/home',
        templateUrl: './pages/home.html',
        name: 'home',
        keepAlive: true,
        on: {
            pageAfterIn: function () {
                function tryToLoadHomePage() {
                    if (typeof loadHomePage != "function") {
                        setTimeout(tryToLoadHomePage, 500);
                    } else {
                        loadHomePage(function () {});
                    }
                }
                tryToLoadHomePage();
            }
        }
    },
    {
        path: '/inventory',
        templateUrl: './pages/inventory.html',
        name: 'inventory',
        keepAlive: true,
        on: {
            pageAfterIn: function () {
                function tryToLoadInventory() {
                    if (typeof loadInventory != "function") {
                        setTimeout(loadInventory, 500);
                    } else {
                        loadInventory(function () {});
                    }
                }
                tryToLoadInventory();
            }
        }
    },
    {
        path: '/signin',
        url: './pages/signin.html',
        name: 'signin'
    },
    {
        path: '/chooseteam',
        templateUrl: './pages/chooseteam.html',
        name: 'chooseteam',
        options: {
            context: {
                teams: SETTINGS['teams']
            }
        }
    },
    {
        path: '/settings',
        name: 'prefs',
        async: function (routeTo, routeFrom, resolve, reject) {
            var username = localStorage.getItem("username");
            if (username == null) {
                username = "Not logged in";
            }
            var serverurl = localStorage.getItem("serverurl");
            if (serverurl == null) {
                serverurl = "None";
            }
            resolve({
                templateUrl: './pages/settings.html'
            }, {
                context: {
                    settings: [{
                            setting: "userinfo",
                            title: '<i class="fa fa-user"></i> <span id="username">' + username + '</span>',
                            text: '',
                            onclick: ""
                        },
                        {
                            setting: "account",
                            title: "Sign out",
                            onclick: "router.navigate('/setup/0')"
                        },
                        {
                            setting: "versions",
                            title: "TerranQuest v2.0.0",
                            text: "Copyright &copy; 2018-2019 Netsyms Technologies.  License: <span style=\"text-decoration: underline;\" onclick=\"openBrowser('https://source.netsyms.com/Netsyms/HelpingHelenaApp?pk_campaign=HelpingHelenaApp');\">Mozilla Public License 2.0</span>.",
                            onclick: ""
                        },
                        {
                            setting: "opensource",
                            title: "Open Source Information",
                            text: "",
                            onclick: "router.navigate('/credits')"
                        },
                        {
                            setting: "privacy",
                            title: "Privacy Policy",
                            text: "",
                            onclick: "openBrowser('" + SETTINGS["terms_of_service_url"] + "')"
                        }]
                }
            });
        }
    },
    {
        path: '/credits',
        url: './pages/credits.html',
        name: 'credits'
    }
];